% ====================================================
% Matlab code for acquiring and colorizing an
% image from K6300 turret.
%
% Copyright (C) 2000-2001 by K-Team, S.A. All rights reserved.
%
% Developed at K-Team S.A by Skye Legon.
%
% Permission to use, copy, modify, and distribute this
% software is freely granted, provided that this notice
% is preserved.
%
% There is no warranty for this free software.  If the software is modified
% by someone else and passed on, we want its recipients to know that
% what they have is not the original, so that any problems introduced
% by others will not reflect on the original authors' reputations.
%
% ====================================================

% open serial port
ref = kopen([0,38400,1]);

% grab image

fun_grab_image(ref)

% obtain image

rawimage = fun_download_image(ref);

% close serial port
kclose(ref);

% colorize image
colour = fun_colorize_rawimage(rawimage');
image(colour);

